Evolution-Data-Server Manual: Private: org.gnome.evolution.dataserver.UserPrompter

## org.gnome.evolution.dataserver.UserPrompter org.gnome.evolution.dataserver.UserPrompter — UserPrompter interface |

## Methods

    Prompt          (IN  s  type,
                     IN  s  title,
                     IN  s  primary_text,
                     IN  s  secondary_text,
                     IN  b  use_markup,
                     IN  as button_captions,
                     OUT i  id);
    ExtensionPrompt (IN  s  dialog_name,
                     IN  as parameters,
                     OUT i  id);

## Signals

    Response          (i  id,
                       i  response_button);
    ExtensionResponse (i  id,
                       i  response,
                       as values);

## Description

Interface for user prompts.

## Method Details

### The Prompt() method

    Prompt (IN  s  type,
            IN  s  title,
            IN  s  primary_text,
            IN  s  secondary_text,
            IN  b  use_markup,
            IN  as button_captions,
            OUT i  id);

Shows a prompt (#GtkMessageDialog) to a user of given `type` with `primary_text` and `secondary_text`, either as plain text or with markup, according to `use_markup`. The `button_captions` can be an empty array, in which case only one button will be shown, with "Dismiss" caption.

`IN s `type``: | Type of the prompt, can be one of GtkMessageType enum values
`IN s `title``: | Window title
`IN s `primary_text``: | The primary text of the prompt
`IN s `secondary_text``: | The secondary text of the prompt
`IN b `use_markup``: | whether the text uses markup - this applies to both texts
`IN as `button_captions``: | Array of button captions, choices for a user
`OUT i `id``: | Prompt identificator, used in 'Response' signal

### The ExtensionPrompt() method

    ExtensionPrompt (IN  s  dialog_name,
                     IN  as parameters,
                     OUT i  id);

Shows a dialog provided by an extension to a user. Dialog names are case sesitive. Extension can define some parameters, which are passed to it within `parameters`. Parameters content is not checked or otherwise interpretted by the UserPrompter, all this is left to the extension itself.

`IN s `dialog_name``: | Dialog name, as defined by an extension, to show
`IN as `parameters``: |
`OUT i `id``: | Prompt identificator, used in 'ExtensionResponse' signal

## Signal Details

### The "Response" signal

    Response (i id,
              i response_button);

Emitted when user responded to a Prompt.

`id`: An identificator of the prompt, as returned by Prompt method `response_button`: Which button index was used to close the prompt

Index in the `response_button` corresponds to 'button_captions' index from the 'Prompt' call. If none button caption was gived, then 0 is returned.

`i `id``: |
`i `response_button``: |

### The "ExtensionResponse" signal

    ExtensionResponse (i  id,
                       i  response,
                       as values);

Emitted when user responded to an ExtensionPrompt.

`id`: An identificator of the prompt, as returned by ExtensionPrompt method `response`: Generic response, as defined by the extension `values`: Additional values returned by the extension

Extension can return additional `values`, which are not interpretted or otherwise checked by the UserPrompter, all this is left to the extension and its caller.

`i `id``: |
`i `response``: |
`as `values``: |